package com.xy.mapper.entity;

import com.xy.dto.DeviceRegisterDto;
import com.xy.dto.DeviceStatusDto;
import com.xy.dto.DeviceSysinfoDto;
import com.xy.entity.DeviceInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class DeviceInfoQueryPage extends DeviceInfo {

    /**
     * 商户名称
     */
    private String mercName;

    /**
     * 距离
     */
    private Integer m;

    /**
     * 点位名称
     */
    private String placeName;

    /**
     * 线路名称
     */
    private String placeLineName;

    /**
     * 区域名称
     */
    private String districtName;

    /**
     * 系统信息
     */
    private DeviceSysinfoDto.Vo deviceSysinfo;

    /**
     * 状态信息
     */
    private DeviceStatusDto.Vo deviceStatus;

    /**
     * 注册信息
     */
    private DeviceRegisterDto.Vo deviceRegister;
}
