package com.xy.mapper.entity;

import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class DeviceStatusCount {

    /**
     * 设备总数
     */
    private Integer deviceCount;

    /**
     * 运营状态数量
     */
    private Integer busyState;

    /**
     * 联网状态数量
     */
    private Integer netState;

    /**
     * 锁机状态数量
     */
    private Integer deviceState;

    /**
     * 激活状态数量
     */
    private Integer activeState;


    /**
     * 温控仪状态数量
     */
    private Integer tempState;

}
