package com.xy.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xy.entity.DeviceBluetoothAuth;
import com.xy.mapper.DeviceBluetoothAuthMapper;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 设备蓝牙授权 服务实现类
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-24
 */
@Service
@AllArgsConstructor
@Api(tags = "设备蓝牙授权", hidden = true)
public class DeviceBluetoothAuthServiceImpl extends ServiceImpl<DeviceBluetoothAuthMapper, DeviceBluetoothAuth> implements DeviceBluetoothAuthService {


}
