package com.xy.service.factory.cmd;

import com.xy.dto.MqttDto;
import com.xy.utils.R;

import java.util.List;

/**
 * 指令 接口
 */
public interface CmdService {

    /**
     * 发送指令
     *
     * @param mqttDtos
     * @return
     */
    R senCommand(List<MqttDto> mqttDtos);

    /**
     * 结果通知
     *
     * @param resultBack
     * @return
     */
    R resultBack(MqttDto.ResultBack resultBack);
}
