package com.xy.dto.job;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel("任务")
@Accessors(chain = true)
public class JobDto {


    @ApiModelProperty(value = "任务开始时间", required = true)
    private String StartTime;

    @ApiModelProperty(value = "任务参数")
    private String params;

    @ApiModelProperty(value = "回调得类全类名")
    private String processorInfo;

    @ApiModelProperty(value = "任务ID 为空则新增任务")
    private String jobId;

    @ApiModelProperty(value = "任务名称")
    private String jobName;

    @ApiModelProperty(value = "任务描述")
    private String jobDescription;
    
}
