package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceChargingDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备计费表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@RestMappingController("/device-charging")
public interface DeviceChargingService {

    /**
     * 购买
     *
     * @param pay
     * @return
     */
    @PostMapping("pay")
    R pay(@RequestBody DeviceChargingDto.Pay pay);

    /**
     * 购买回调
     *
     * @param payNotice
     * @return
     */
    @PostMapping("payNotice")
    R payNotice(@RequestBody DeviceChargingDto.PayNotice payNotice);
}
