package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceEventMsgDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 机器-消息表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-09
 */
@RestMappingController("/device-event-msg")
public interface DeviceEventMsgService {

    /**
     * 分页查询
     *
     * @param page
     * @return
     */
    @PostMapping("page")
    R<PageBean<DeviceEventMsgDto.Vo>> page(@RequestBody DeviceEventMsgDto.Page page);

    /**
     * 添加
     *
     * @param save
     * @return
     */
    @PostMapping("save")
    R save(@RequestBody @Validated DeviceEventMsgDto.Save save);
}