package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceNetRecordDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 机器-联网记录 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-09
 */
@RestMappingController("/device-net-record")
public interface DeviceNetRecordService {

    @PostMapping("page")
    R<PageBean<DeviceNetRecordDto.Vo>> page(@RequestBody DeviceNetRecordDto.Page page);
}