package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceRecordsDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备操作变更记录表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-11
 */
@RestMappingController("/device-records")
public interface DeviceRecordsService {
    @PostMapping("page")
    R<PageBean<DeviceRecordsDto.Vo>> page(@RequestBody DeviceRecordsDto.Page page);
}