package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceTempRecordsDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备温度日志表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-11
 */
@RestMappingController("/device-temp-records")
public interface DeviceTempRecordsService {
    @PostMapping("page")
    R<PageBean<DeviceTempRecordsDto.Vo>> page(@RequestBody DeviceTempRecordsDto.Page page);
}