package com.xy.service.job;

import com.xy.annotate.RestMappingController;
import com.xy.dto.job.JobDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 定时任务操作接口
 */
@RestMappingController("job")
public interface JobService {


    /**
     * 保存任务
     *
     * @param demoJobDto
     * @return 任务ID
     */
    @PostMapping("saveJob")
    R<Long> saveJob(@RequestBody JobDto demoJobDto);

}
