package com.xy.feign;

import com.xy.service.DeviceAlgorithmChargingHistoryService;
import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 设备算法计费历史表 feign
 * </p>
 *
 * @author lijin
 * @since 2023-06-29
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface DeviceAlgorithmChargingHistoryFeign extends DeviceAlgorithmChargingHistoryService {

}
