package com.xy.feign;

import com.xy.service.DeviceBluetoothAuthService;
import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 设备蓝牙授权 feign
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-24
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface DeviceBluetoothAuthFeign extends DeviceBluetoothAuthService {

}
