package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xy.entity.DeviceStatus;
import com.xy.mapper.entity.DeviceStatusCount;

import java.util.List;

/**
 * <p>
 * 设备-状态 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
public interface DeviceStatusMapper extends BaseMapper<DeviceStatus> {

    /**
     * 统计状态数量
     *
     * @return
     */
    DeviceStatusCount statusCount();

    /**
     * 离线的支付宝设备
     *
     * @return
     */
    List<DeviceStatus> aliPayNotNetWorkDevice();
}
