package com.xy.dto;

import cn.hutool.json.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class PaterDto {

    @ApiModelProperty(value = "sn编号")
    private Long sn;

    @ApiModelProperty(value = "业务系统sn编号")
    private Long wkSn;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "行为类型")
    private String actionType;

    @ApiModelProperty(value = "业务类型")
    private String cmdType;

    @ApiModelProperty("是否应答")
    private Boolean ack;

    @ApiModelProperty("是否调试模式")
    private Boolean debug;

    @ApiModelProperty(value = "指令发送时间")
    private String time;

    @ApiModelProperty(value = "指令有效期，单位：s")
    private Integer timeout;

    @ApiModelProperty("业务方json数据")
    private JSONObject data;

}
