package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceAlgorithmChargingHistoryDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备算法计费历史表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-06-29
 */
@RestMappingController("/device-algorithm-charging-history")
public interface DeviceAlgorithmChargingHistoryService {

    /**
     * 分页查询
     *
     * @param page
     * @return
     */
    @PostMapping("page")
    R<PageBean<DeviceAlgorithmChargingHistoryDto.Vo>> page(@RequestBody DeviceAlgorithmChargingHistoryDto.Page page);
}
