package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceChargingConfigDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 设备计费配置表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-07-28
 */
@RestMappingController("/device-charging-config")
public interface DeviceChargingConfigService {

    @PostMapping("list2")
    R<List<DeviceChargingConfigDto.Vo>> list2(@RequestBody @Validated DeviceChargingConfigDto.SelectList selectList);
}
