package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceChargingHistoryDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备计费历史表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@RestMappingController("/device-charging-history")
public interface DeviceChargingHistoryService {

    /**
     * 分页查询
     *
     * @param page
     * @return
     */
    @PostMapping("page")
    R<PageBean<DeviceChargingHistoryDto.Vo>> page(@RequestBody DeviceChargingHistoryDto.Page page);
}
