package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.CommandMqtt;
import com.xy.utils.R;
import com.xy.utils.Tuple;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * mqtt接口
 */
@RestMappingController("mqtt")
public interface MqttService {

    /**
     * 指令发送
     *
     * @param commandMqtts
     * @return
     */
    @PostMapping("senCommand")
    R<List<Tuple.Tuple3<Long, Long, Boolean>>> senCommand(@RequestBody List<CommandMqtt> commandMqtts);

}
